Package org.apache.tapestry5.internal.services

## Class ValueEncoderSourceImpl

- java.lang.Object
- - org.apache.tapestry5.internal.services.ValueEncoderSourceImpl

- All Implemented Interfaces:
    `java.lang.Runnable`, `ValueEncoderSource`

      public class ValueEncoderSourceImpl
      extends java.lang.Object
      implements ValueEncoderSource, java.lang.Runnable

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ValueEncoderSourceImpl​(java.util.Map<java.lang.Class,​ValueEncoderFactory> configuration)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `<T> ValueEncoder<T>` | `getValueEncoder​(java.lang.Class<T> type)` | Gets or creates a value encoder for the indicated type.
    `void` | `run()` |
    `void` | `setupInvalidation​(InvalidationEventHub hub)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ValueEncoderSourceImpl

          public ValueEncoderSourceImpl​(java.util.Map<java.lang.Class,​ValueEncoderFactory> configuration)

  - ### Method Detail

    - #### setupInvalidation

          @PostInjection
          public void setupInvalidation​(@ComponentClasses
                                        InvalidationEventHub hub)

    - #### getValueEncoder

          public <T> ValueEncoder<T> getValueEncoder​(java.lang.Class<T> type)

      Description copied from interface: `ValueEncoderSource`
      Gets or creates a value encoder for the indicated type. ValueEncoders are cached.
      Specified by:
        `getValueEncoder` in interface `ValueEncoderSource`
      Parameters:
        `type` - type of value to be encoded and decoded
      Returns:
        the value encoder

    - #### run

          public void run()

      Specified by:
        `run` in interface `java.lang.Runnable`